Subject: Re: [PATCH] t5404: relax overzealous test

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 06 Apr 2018 22:35:43 +0200

On Fri, Apr 06 2018, Jeff King wrote:

> On Fri, Apr 06, 2018 at 09:31:22PM +0200, Johannes Schindelin wrote:
>> This patch chooses instead to look for the prefix "error:" at the
>> beginning of the line, so that there can be no ambiguity that any catch
>> was indeed a message generated by Git's `error_builtin()` function.
>
> Yep, this seems obviously correct.
>
> Right now we do not localize the "error" string, but I wonder if this
> ought to use test_i18ngrep. With or without that change, the patch looks
> good to me.

I think it's much better not to do that.

There's value in the i18n versions checking for only those things that
are translated, and no more, because we should really be on the lookout
for any i18n changes that potentially change plumbing output, or other
things programs expect to parse.